Version 4.0.26.22 (latest)

### Search groups include roles

Returns all group records that match the given search criteria, and attaches any associated roles.

If multiple search params are given and `filter_or` is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match *all* search param criteria will be returned.

If `filter_or` is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match **any** of the search criteria.

String search params use case-insensitive matching.
String search params can contain `%` and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"

Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.

Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.

Boolean search params accept only "true" and "false" as values.

## Request

GET /groups/search/with_roles Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields. limit integer Number of results to return (used with \`offset\`). offset integer Number of results to skip before returning any (used with \`limit\`). sorts string Fields to sort by. filter_or boolean Combine given search criteria in a boolean OR expression id string Match group id. name string Match group name. external_group_id string Match group external_group_id. externally_managed boolean Match group externally_managed. externally_orphaned boolean Match group externally_orphaned.

## Response

### 200: Group

Datatype Description (array) [GroupSearch](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/GroupSearch)\[\] can object Operations the current user is able to perform on this object can_add_to_content_metadata boolean Group can be used in content access controls contains_current_user boolean Currently logged in user is group member external_group_id string External Id group if embed group externally_managed boolean Group membership controlled outside of Looker id string Unique Id include_by_default boolean New users are added to this group by default name string Name of group user_count integer Number of users included in this group roles [Role](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Role)\[\] Expand Role definition... can object Operations the current user is able to perform on this object id string Unique Id name string Name of Role permission_set [PermissionSet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/PermissionSet) (Read only) Permission set Expand PermissionSet definition... can object Operations the current user is able to perform on this object all_access boolean built_in boolean id string Unique Id name string Name of PermissionSet permissions string\[\] url string Link to get this item permission_set_id string (Write-Only) Id of permission set model_set [ModelSet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ModelSet) (Read only) Model set Expand ModelSet definition... can object Operations the current user is able to perform on this object all_access boolean built_in boolean id string Unique Id models string\[\] name string Name of ModelSet url string Link to get this item model_set_id string (Write-Only) Id of model set internal boolean Is this a Looker internal role url string Link to get this item users_url string Link to get list of users with this role

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link